Table of Contents

## Name

XdbeGetBackBufferAttributes - returns attributes of a DBE buffer.

## Synopsis

#include <X11/extensions/Xdbe.h>

XdbeBackBufferAttributes *XdbeGetBackBufferAttributes( Display *dpy,
XdbeBackBuffer buffer)

## Description

This function returns the attributes associated with the specified buffer.

The XdbeBackBufferAttributes structure has the following fields:

> Window window window that buffer belongs to

If buffer is not a valid XdbeBackBuffer, window returns None.

The returned XdbeBackBufferAttributes structure can be freed with the Xlib function Xfree().

## See Also

DBE, XdbeAllocateBackBufferName(), XdbeBeginIdiom(), XdbeDeallocateBackBufferName(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetVisualInfo(), XdbeQueryExtension(), XdbeSwapBuffers().

Table of Contents

- Name
- Synopsis
- Description
- See Also